be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDCERTAINTYvalues

- java.lang.Object
- - java.lang.Enum<CDCERTAINTYvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDCERTAINTYvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDCERTAINTYvalues>

      public enum CDCERTAINTYvalues
      extends Enum<CDCERTAINTYvalues>

  Java class for CD-CERTAINTYvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-CERTAINTYvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="excluded"/>
           <enumeration value="probable"/>
           <enumeration value="proven"/>
           <enumeration value="unprobable"/>
           <enumeration value="undefined"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCLUDED`
    `PROBABLE`
    `PROVEN`
    `UNDEFINED`
    `UNPROBABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDCERTAINTYvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDCERTAINTYvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDCERTAINTYvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCLUDED

          public static final CDCERTAINTYvalues EXCLUDED

    - #### PROBABLE

          public static final CDCERTAINTYvalues PROBABLE

    - #### PROVEN

          public static final CDCERTAINTYvalues PROVEN

    - #### UNPROBABLE

          public static final CDCERTAINTYvalues UNPROBABLE

    - #### UNDEFINED

          public static final CDCERTAINTYvalues UNDEFINED

  - ### Method Detail

    - #### values

          public static CDCERTAINTYvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDCERTAINTYvalues c : CDCERTAINTYvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDCERTAINTYvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDCERTAINTYvalues fromValue(String v)

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.